﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;


using Infragistics.Win.UltraWinSchedule;
using System.Diagnostics;

namespace WindowsFormsApplication4 {
    public partial class Form1 : Form {

        RecurrencePatternDaysOfWeek _p = RecurrencePatternDaysOfWeek.None;

        public Form1() {
            InitializeComponent();
        }

        private void ultraButton1_Click(object sender, EventArgs e) {

            Debug.WriteLine("Sunday " + RecurrencePatternDaysOfWeek.Sunday.GetHashCode().ToString());
            Debug.WriteLine("Monday " + RecurrencePatternDaysOfWeek.Monday.GetHashCode().ToString());
            Debug.WriteLine("Tueday " + RecurrencePatternDaysOfWeek.Tuesday.GetHashCode().ToString());
            Debug.WriteLine("Wednesday " + RecurrencePatternDaysOfWeek.Wednesday.GetHashCode().ToString());
            Debug.WriteLine("Thursday " + RecurrencePatternDaysOfWeek.Thursday.GetHashCode().ToString());
            Debug.WriteLine("Friday " + RecurrencePatternDaysOfWeek.Friday.GetHashCode().ToString());
            Debug.WriteLine("Saturday " + RecurrencePatternDaysOfWeek.Saturday.GetHashCode().ToString());
            Debug.WriteLine("All " + RecurrencePatternDaysOfWeek.All.GetHashCode().ToString());
            Debug.WriteLine("None " + RecurrencePatternDaysOfWeek.None.GetHashCode().ToString());
            Debug.WriteLine("Weekdays " + RecurrencePatternDaysOfWeek.AllWeekdays.GetHashCode().ToString());
            Debug.WriteLine("WeekendDays " + RecurrencePatternDaysOfWeek.AllWeekendDays.GetHashCode().ToString());



            _p = _p | RecurrencePatternDaysOfWeek.Friday;


            if ((_p & RecurrencePatternDaysOfWeek.Monday) == 0)
                _p = _p | RecurrencePatternDaysOfWeek.Monday;









        }

        private void Form1_Load(object sender, EventArgs e) {
            this.ultraDayView1.Dock = DockStyle.Fill;

            //Appointment appt = new Appointment(DateTime.Now, DateTime.Now.AddHours(1));

            //appt.Subject = "Hey Bob";

            //AppointmentRecurrence rec = new AppointmentRecurrence();




            //this.ultraCalendarInfo1.Appointments.Add(appt);


        }

        private void ultraCalendarInfo1_AfterRecurringAppointmentDeleted(object sender, AfterRecurringAppointmentDeletedEventArgs e) {
             // The 'AfterRecurringAppointmentDeleted' is invoked after a
           // recurring appointment series or individual occurrence is deleted.
           // The 'Appointment' parameter is the appointment being deleted
           // whether it is an individual appointment (i.e. a variance) or
           // the root (or series) appointment. The 'IsVariance' and
           // 'IsRecurringAppointmentRoot' can be used to determine whether
           // the appointment being deleted is an individual instance of the
           // recurrence or the entire series. Note, when the series is
           // deleted (i.e. e.IsRecurringAppointmentRoot is true), the
           // recurrence information will not be available as that is removed
           // once the root appointment is removed.
           //
           if (e.IsRecurringAppointmentRoot)
               Debug.WriteLine( string.Format("The recurring appointment series '{0}' was deleted.", e.Appointment.Subject) );
           else if (e.IsVariance)
               Debug.WriteLine( string.Format("The variance of '{0}' for the occurrence on '{1}' was deleted.", e.Appointment.RecurringAppointmentRoot.Subject, e.Appointment.OriginalStartDateTime) );

        }

        private void ultraCalendarInfo1_BeforeRecurringAppointmentDeleted(object sender, BeforeRecurringAppointmentDeletedEventArgs e) {
            Debug.WriteLine("Before Recurring Appt Deleted");

        }

        private void ultraButton1_Click_1(object sender, EventArgs e) {
            foreach (Appointment item in this.ultraCalendarInfo1.Appointments) {

                string s = item.StartDateTime.ToString();
                s = s + "  IsRecurringRoot->" + item.IsRecurringAppointmentRoot.ToString();
                MessageBox.Show(s);


            }
        }

        private void ultraCalendarInfo1_AfterAppointmentAdded(object sender, AppointmentEventArgs e) {
            e.Appointment.Tag = new Class1();

            Debug.WriteLine("After Appt Added " + e.Appointment.StartDateTime.ToString());

        }

        private void ultraCalendarInfo1_AfterAppointmentRemoved(object sender, EventArgs e) {
            Debug.WriteLine("After Appt Removed");

        }
        private string ParseAppt(Appointment appt, string sName) {

            string s = sName;
            s = s + Environment.NewLine;
            s = s + appt.StartDateTime.ToString();
            s = s + Environment.NewLine;
            s = s + appt.EndDateTime.ToString();
            s = s + Environment.NewLine;
            s = s + appt.Subject;
            s = s + Environment.NewLine;
            s = s + appt.IsRecurringAppointmentRoot;
            s = s + Environment.NewLine;
            s = s + appt.RecurrenceId.ToString();
            s = s + Environment.NewLine;
            s = s + Environment.NewLine;


            return s;

        }


        private void ultraCalendarInfo1_BeforeAppointmentAdded(object sender, CancelableAppointmentEventArgs e) {

            //Debug.WriteLine(ParseAppt(e.Appointment, "Before ApptAdded"));

            Debug.WriteLine("Before Appt Added " + e.Appointment.StartDateTime.ToString());


        }

        private void ultraCalendarInfo1_BeforeAppointmentRemoved(object sender, CancelableAppointmentEventArgs e) {
            Debug.WriteLine("Before Appt Removed");

        }

        private void ultraDayView1_AfterAppointmentResized(object sender, AppointmentEventArgs e) {
            //Debug.WriteLine(ParseAppt(e.Appointment, "After ApptResized"));
            Debug.WriteLine("After Appt Resized");

            if (e.Appointment.Tag is Class1) {

            } else {
                Debug.Fail("No Tag");
            }

        }

        private void ultraDayView1_AfterAppointmentsMoved(object sender, AfterAppointmentsMovedEventArgs e) {
            //foreach (Appointment item in e.Appointments) {
            //    Debug.WriteLine(ParseAppt(item, "After ApptMoved"));

            //    if (item.Tag is Class1) {

            //    } else {
            //        Debug.Fail("No Tag");
            //    }

            //}
            Debug.WriteLine("After Appt Moved");

        }

        private void ultraDayView1_BeforeAppointmentsDeleted(object sender, BeforeAppointmentsDeletedEventArgs e) {

        }

        private void ultraDayView1_AfterAppointmentEdited(object sender, AppointmentEventArgs e) {
            Debug.WriteLine("After Appt Edited");

        }

        private void ultraCalendarInfo1_ValidateAppointmentRecurrence(object sender, ValidateAppointmentRecurrenceEventArgs e) {

        }

        private void ultraButton2_Click(object sender, EventArgs e) {
            Form2 f = new Form2();


            f.Show();

            for (int i = 0; i < 100000; i++) {
                for (int j = 0; j < 50000; j++) {
                    double g = j * i;
                }
            }

            f.Hide();

        
        }



    }
}
